StdContainerSerializers.IndexedListSerializer (Jackson JSON Processor)
Date: 2013-07-14

org.codehaus.jackson.map.ser.std

## Class StdContainerSerializers.IndexedListSerializer

- java.lang.Object
- - org.codehaus.jackson.map.JsonSerializer<T>
  - - org.codehaus.jackson.map.ser.std.SerializerBase<T>
    - - org.codehaus.jackson.map.ser.std.ContainerSerializerBase<T>
      - - org.codehaus.jackson.map.ser.std.AsArraySerializerBase<List<?>>
        - - org.codehaus.jackson.map.ser.std.StdContainerSerializers.IndexedListSerializer

- All Implemented Interfaces:
    ResolvableSerializer, SchemaAware
  Enclosing class:
    StdContainerSerializers

      public static class StdContainerSerializers.IndexedListSerializer
      extends AsArraySerializerBase<List<?>>

  This is an optimized serializer for Lists that can be efficiently traversed by index (as opposed to others, such as `LinkedList` that can not}.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.codehaus.jackson.map.JsonSerializer

      `JsonSerializer.None`

  - ### Field Summary

    - ### Fields inherited from class org.codehaus.jackson.map.ser.std.AsArraySerializerBase

      `_dynamicSerializers, _elementSerializer, _elementType, _property, _staticTyping, _valueTypeSerializer`

    - ### Fields inherited from class org.codehaus.jackson.map.ser.std.SerializerBase

      `_handledType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StdContainerSerializers.IndexedListSerializer(JavaType elemType, boolean staticTyping, TypeSerializer vts, BeanProperty property, JsonSerializer<Object> valueSerializer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContainerSerializerBase<?>` | `_withValueTypeSerializer(TypeSerializer vts)`
    `void` | `serializeContents(List<?> value, JsonGenerator jgen, SerializerProvider provider)`
    `void` | `serializeContentsUsing(List<?> value, JsonGenerator jgen, SerializerProvider provider, JsonSerializer<Object> ser)`
    `void` | `serializeTypedContents(List<?> value, JsonGenerator jgen, SerializerProvider provider)`

    - ### Methods inherited from class org.codehaus.jackson.map.ser.std.AsArraySerializerBase

      `_findAndAddDynamic, _findAndAddDynamic, getSchema, resolve, serialize, serializeWithType`

    - ### Methods inherited from class org.codehaus.jackson.map.ser.std.ContainerSerializerBase

      `withValueTypeSerializer`

    - ### Methods inherited from class org.codehaus.jackson.map.ser.std.SerializerBase

      `createObjectNode, createSchemaNode, createSchemaNode, handledType, isDefaultSerializer, wrapAndThrow, wrapAndThrow, wrapAndThrow, wrapAndThrow`

    - ### Methods inherited from class org.codehaus.jackson.map.JsonSerializer

      `isUnwrappingSerializer, unwrappingSerializer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StdContainerSerializers.IndexedListSerializer

          public StdContainerSerializers.IndexedListSerializer(JavaType elemType,
                                                       boolean staticTyping,
                                                       TypeSerializer vts,
                                                       BeanProperty property,
                                                       JsonSerializer<Object> valueSerializer)

  - ### Method Detail

    - #### _withValueTypeSerializer

          public ContainerSerializerBase<?> _withValueTypeSerializer(TypeSerializer vts)

      Specified by:
        `_withValueTypeSerializer` in class `ContainerSerializerBase<List<?>>`

    - #### serializeContents

          public void serializeContents(List<?> value,
                               JsonGenerator jgen,
                               SerializerProvider provider)
                                 throws IOException,
                                        JsonGenerationException

      Specified by:
        `serializeContents` in class `AsArraySerializerBase<List<?>>`
      Throws:
        `IOException`
        `JsonGenerationException`

    - #### serializeContentsUsing

          public void serializeContentsUsing(List<?> value,
                                    JsonGenerator jgen,
                                    SerializerProvider provider,
                                    JsonSerializer<Object> ser)
                                      throws IOException,
                                             JsonGenerationException

      Throws:
        `IOException`
        `JsonGenerationException`

    - #### serializeTypedContents

          public void serializeTypedContents(List<?> value,
                                    JsonGenerator jgen,
                                    SerializerProvider provider)
                                      throws IOException,
                                             JsonGenerationException

      Throws:
        `IOException`
        `JsonGenerationException`